OpenTTD GameScript API: GSEventWindowWidgetClick Class Reference

OpenTTD GameScript API 15.0-RC2

Public Member Functions | Static Public Member Functions
GSEventWindowWidgetClick Class Reference

Event Window Widget Click, when a user clicks on a highlighted widget. More...

`#include <script_event_types.hpp>`

Inheritance diagram for GSEventWindowWidgetClick:

## Public Member Functions
GSWindow::WindowClass | GetWindowClass ()
| Get the class of the window that was clicked.
int | GetWindowNumber ()
| Get the number of the window that was clicked.
int | GetWidgetNumber ()
| Get the number of the widget that was clicked.
Public Member Functions inherited from GSEvent
GSEventType | GetEventType ()
| Get the event-type.

## Static Public Member Functions
static GSEventWindowWidgetClick * | Convert (GSEvent *instance)
| Convert an GSEvent to the real instance.

## Additional Inherited Members
Public Types inherited from GSEvent
enum | GSEventType { ET_INVALID , ET_TEST , ET_SUBSIDY_OFFER , ET_SUBSIDY_OFFER_EXPIRED , ET_SUBSIDY_AWARDED , ET_SUBSIDY_EXPIRED , ET_ENGINE_PREVIEW , ET_COMPANY_NEW , ET_COMPANY_IN_TROUBLE , ET_COMPANY_ASK_MERGER , ET_COMPANY_MERGER , ET_COMPANY_BANKRUPT , ET_VEHICLE_CRASHED , ET_VEHICLE_LOST , ET_VEHICLE_WAITING_IN_DEPOT , ET_VEHICLE_UNPROFITABLE , ET_INDUSTRY_OPEN , ET_INDUSTRY_CLOSE , ET_ENGINE_AVAILABLE , ET_STATION_FIRST_VEHICLE , ET_DISASTER_ZEPPELINER_CRASHED , ET_DISASTER_ZEPPELINER_CLEARED , ET_TOWN_FOUNDED , ET_AIRCRAFT_DEST_TOO_FAR , ET_ADMIN_PORT , ET_WINDOW_WIDGET_CLICK , ET_GOAL_QUESTION_ANSWER , ET_EXCLUSIVE_TRANSPORT_RIGHTS , ET_ROAD_RECONSTRUCTION , ET_VEHICLE_AUTOREPLACED , ET_STORYPAGE_BUTTON_CLICK , ET_STORYPAGE_TILE_SELECT , ET_STORYPAGE_VEHICLE_SELECT , ET_COMPANY_RENAMED , ET_PRESIDENT_RENAMED }
| The type of event. More...

## Detailed Description

Event Window Widget Click, when a user clicks on a highlighted widget.

## Member Function Documentation

## ◆ Convert()

static GSEventWindowWidgetClick * GSEventWindowWidgetClick::Convert | ( | GSEvent * | instance | ) |
| inlinestatic

Convert an GSEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.

## ◆ GetWidgetNumber()

int GSEventWindowWidgetClick::GetWidgetNumber | ( |  | ) |
| inline

Get the number of the widget that was clicked.

Returns
  The number of the clicked widget.

## ◆ GetWindowClass()

GSWindow::WindowClass GSEventWindowWidgetClick::GetWindowClass | ( |  | ) |
| inline

Get the class of the window that was clicked.

Returns
  The clicked window class.

## ◆ GetWindowNumber()

int GSEventWindowWidgetClick::GetWindowNumber | ( |  | ) |
| inline

Get the number of the window that was clicked.

Returns
  The clicked identifying number of the widget within the class.